Can't update my ipod?!

Discussion in 'iPod touch' started by weenerdog, Nov 25, 2010.

  1. weenerdog macrumors member

    Joined:
    Dec 4, 2007
    #1
    I went through the lengthy process of updating iTunes, Quicktime and Safari so that I could update my 1st Gen iPod Touch from 2.2.1 to the newest firmware. However, after updating iTunes, it says that 2.2.1 is the newest firmware and that won't change even when I click "Check For Updates".

    Any ideas?
     
  2. Consultant macrumors G5

    Consultant

    Joined:
    Jun 27, 2007
    #2
    First gen cannot do IOS 4, AKA newest firmware. First gen is over 3 years old. That's old even for computers, never mind mobile devices.

    I think you can buy 3.1.3, released earlier this year.
     
  3. weenerdog thread starter macrumors member

    Joined:
    Dec 4, 2007
    #3
    I'm not trying to update to iOS4, I'm trying to update to 3.1.3 but it won't give me the option. The last version of iTunes did.
     
  4. mofunk macrumors 68000

    mofunk

    Joined:
    Aug 26, 2009
    Location:
    Americas
    #4
    Looking through my emails, you have to purchase 3.0 for iPod Touch 1st. This upgrade came out in June 2009. I don't have mine anymore but here is a link that might help you

    http://support.apple.com/kb/HT2052
     
  5. weenerdog thread starter macrumors member

    Joined:
    Dec 4, 2007

Share This Page